Subject: Re: reference-transaction regression in 2.36.0-rc1

From: Junio C Hamano <[email-masked]>
Date: Wed, 13 Apr 2022 15:44:29 -0700

Junio C Hamano <[email-masked]> writes:

> Ævar Arnfjörð Bjarmason <[email-masked]> writes:
>
>> This does look lik a series regression.
>
> Yes.
>
>> I haven't had time to bisect this, but I suspect that it'll come down to
>> something in the 991b4d47f0a (Merge branch
>> 'ps/avoid-unnecessary-hook-invocation-with-packed-refs', 2022-02-18)
>> series.
>
> With the issue that /var/tmp/.git can cause trouble to those who
> work in /var/tmp/$USER/playpen being taken reasonably good care of
> already, it seems this is the issue with the highest priority at
> this point.
>
>> I happen to know that Patrick is OoO until after the final v2.36.0 is
>> scheduled (but I don't know for sure that we won't spot this thread &
>> act on it before then).

Reverting the merge 991b4d47f0a as a whole is an option.  It might
be the safest thing to do, if we do not to want to extend the cycle
and add a few more -rc releases before the final.

Thanks.